{
  "version": "0.2.0",
  "configurations": [
    {
      "type": "chrome",
      "request": "launch",
      "name": "Vue: Launch Chrome",
      "url": "http://localhost:8080",
      "webRoot": "${workspaceFolder}/src",
      "breakOnLoad": true,
      "sourceMapPathOverrides": {
        "webpack:///src/*": "${webRoot}/*"
      }
    },
    {
      "type": "firefox",
      "request": "launch",
      "reAttach": true,
      "name": "Vue: Launch Firefox",
      "url": "http://localhost:8080",
      "webRoot": "${workspaceFolder}/src",
      "pathMappings": [
        {
          "url": "webpack://dezrann-front/src",
          "path": "${workspaceFolder}/src"
        },
        {
          "url": "webpack:///src/",
          "path": "${webRoot}/"
        }
      ]
    },
    {
      "type": "node",
      "request": "launch",
      "name": "Jest: Run All Tests",
      "runtimeExecutable": "npm",
      "runtimeArgs": [
        "run-script",
        "test:unit"
      ],
      "skipFiles": [
        "<node_internals>/**",
        "node_modules/**"
      ]
    },
    {
      "type": "node",
      "name": "vscode-jest-tests",
      "request": "launch",
      "console": "integratedTerminal",
      "internalConsoleOptions": "neverOpen",
      "disableOptimisticBPs": true,
      "cwd": "${workspaceFolder}",
      "runtimeExecutable": "yarn",
      "args": [
        "run",
        "test:unit",
        "--runInBand",
        "--watchAll=false"
      ]
    }
  ],
}